Bug 461267 - qpidc-devel is missing a pkg-config definition file
qpidc-devel is missing a pkg-config definition file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qpidc (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Conway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 09:06 EDT by Daniel Berrange
Modified: 2010-12-05 02:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-09-05 09:06:54 EDT
Description of problem:
The pkg-config tool provides a easy way for applications to locate dependant libraries and determine what the compiler/linker flags are. If libraries provide a pkg-config definition file, then an application using that library merely has to add this to their configure.in

GTK_REQUIRED=2.10.0
PKG_CHECK_MODULES(GTK, gtk+-2.0 >= $GTK_REQUIRED)
AC_SUBST(GTK_CFLAGS)
AC_SUBST(GTK_LIBS)

Furthermore, this trivially alllows developers to install the library into alternate locations and still have the application build correctly, simply by setting PKG_CONFIG_PATH to the alternate install root

The qpidc-devel package has no pkg-config definition file, meaning that application using qpid have to write a bucketload of custom configure.in macros for qpid.

Version-Release number of selected component (if applicable):
qpidc-devel-0.2.667603-2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. pkg-config --libs qpidc
2.
3.
  
Actual results:
Package qpidc was not found in the pkg-config search path.
Perhaps you should add the directory containing `qpidc.pc'
to the PKG_CONFIG_PATH environment variable
No package 'qpidc' found

Expected results:
-lqpidc

Additional info:

This libvirt.pc.in file demonstrates how you'd write a pkg-config definition file:

http://git.et.redhat.com/?p=libvirt.git;a=blob_plain;f=libvirt.pc.in;hb=HEAD

You'd also add  libvirt.pc to the AC_OUTPUT() macro, so it gets subsituted with the correct $prefix given to configure, and in Makefile.am you'd add something like

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libvirt.pc

to make it install in the correct location
Comment 1 Bug Zapper 2009-06-09 22:37:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alan Conway 2009-06-10 09:34:10 EDT
Moved this bug to f11, it's still valid.
Comment 3 Bug Zapper 2010-04-27 08:13:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alan Conway 2010-05-03 09:55:07 EDT
Moved to f12, still valid
Comment 5 Alan Conway 2010-05-31 16:29:38 EDT
Added pkg-config file in r949856
Comment 6 Bug Zapper 2010-11-04 07:47:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 02:08:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.